///////////////////////////////////////////////////////////////////////////////
//                                                                           //
// Copyright (C) 2006 by Intel Coproration and Carnegie Mellon University    //
// Contacts: casey.j.helfrich @ intel.com                                    //
//           bdr @ cs.cmu.edu                                                //
//                                                                           //
///////////////////////////////////////////////////////////////////////////////

#ifndef __LIFE_H
#define __LIFE_H

#include "CodeModule.hxx"
#include "CatomWorld.hxx"
#include "StateFile/StateFile.hxx"

CODE_MODULE_PROTOTYPE( Life, Life );
using namespace std;

extern CatomWorld *worldPtr;

class Life : public CodeModule {
public:

  // Set a unique name for your CodeModule here
  Life(catomID _hostCatom) : CodeModule(_hostCatom) { name_ = "LifeMod"; }

  virtual void newTick( void );
  virtual void endTick( void );
  StateFile::Module* StateFileConstructor( void );
  virtual void loadModule( void );
  virtual void saveModule( void );
};

#endif
